Page MenuHomePhabricator

[OpenCL] Fix code generation of kernel pipe parameters.
ClosedPublic

Authored by bader on Jun 27 2016, 12:16 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

bader updated this revision to Diff 61934.Jun 27 2016, 12:16 AM
bader retitled this revision from to [OpenCL] Fix code generation of kernel pipe parameters..
bader updated this object.
bader added reviewers: Anastasia, pxli168.
bader added subscribers: cfe-commits, yaxunl.
Anastasia accepted this revision.Jun 28 2016, 7:45 AM
Anastasia edited edge metadata.

LGTM!

lib/CodeGen/CodeGenFunction.cpp
535 ↗(On Diff #61934)

I am guessing this is output of clang-format, looks a bit strange though...

This revision is now accepted and ready to land.Jun 28 2016, 7:45 AM
bader updated this revision to Diff 62100.Jun 28 2016, 8:59 AM
bader edited edge metadata.

Re-format the patch.
No functional changes.

bader added a comment.Jul 4 2016, 3:59 AM

Ping.
Xiuli, do you have any comments?

pxli168 accepted this revision.Jul 11 2016, 1:44 AM
pxli168 edited edge metadata.

Sorry for the late reply, I was busy with some backend problem.
LGTM, thanks for the fix!

This revision was automatically updated to reflect the committed changes.